%define real_name Audio-CD
%define name perl-%{real_name}
%define version 0.05
%define release %mkrel 10

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to libcdaudio
Source:		%{real_name}-%{version}.tar.bz2
URL:		http://home.wanadoo.nl/jano/disc-cover.html
License:	GPL
Group:		Sound
BuildRequires:	libcdaudio-devel
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module was created for adding CDDB support to Xmms::shell and cd
tray eject.  Methods for a good chunk of other libcdaudio functions
were added, but the docs and glue are not complete.

NOTE: This version has been altered by J.I. van Hemert
<jvhemert@cs.leidenuniv.nl> to suit the needs of Disc-Cover. Please
start with the original package if you wish to develop something.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

chmod 644 README

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/Audio
%{perl_vendorarch}/auto/Audio
%{_mandir}/*/*



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-10mdv2009.0
+ Revision: 255344
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-8mdv2008.1
+ Revision: 151831
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-7mdv2008.0
+ Revision: 85919
- rebuild


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:27:51 (58375)
- mkrel

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:25:03 (58374)
Import perl-Audio-CD

* Sun Jun 26 2005 Gtz Waschk <waschk@mandriva.org> 0.05-5mdk
- rebuild to fix bug #16551

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.05-4mdk
- rebuild for new perl

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.05-3mdk
- own dir

* Thu Jan 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-2mdk
- rebuild
- drop patch, new version already carries modifications

* Fri Nov 28 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-1mdk
- new version

* Thu Oct 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.04-11mdk
- fix deps
- rebuild with fixed gcc (bug #6192)

